<app-menu-item-layout
  [menu]="(casesMenu$|async)"
  (labelClicked)="onCaseLabelClick($event)">
  <app-cases-label
    label
    [case]="(caseSelected$|async)"
    [selected]="(casesMenu$|async).selected"
    [contentLoaded]="(loaded$|async)"
    [labelState]="(casesMenu$|async).labelState">
  </app-cases-label>

  <ng-container
    content
    [ngSwitch]="menuState">
    <app-cases-list-max
      [casesList]="(cases$|async)!"
      [selectedCaseId]="(selectedCaseId$|async)!"
      [caseExpandedDictionary]="(casesExpansionDictionary$|async)"
      [casesCount]="(casesCount$|async)"
      [casesSkip]="(casesSkip$|async)"
      [casesLimit]="CASE_LIST_LIMIT"
      (selectCase)="onSelectCase($event)"
      (expandCase)="onExpandCase($event)"
      (collapseCase)="onCollapseCase($event)"
      (loadNewCasePage)="onLoadCasePage($event)">
    </app-cases-list-max>
  </ng-container>
</app-menu-item-layout>


